.\" $NetBSD$
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jonathan A. Kollasch.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 12, 2006
.Dt USLSA 4
.Os
.Sh NAME
.Nm uslsa
.Nd USB support for Silicon Labs CP210x series serial adapters
.Sh SYNOPSIS
.Cd "uslsa* at uhub?"
.Cd "ucom*   at uslsa?"
.Sh HARDWARE
The
.Nm
driver is known to work with the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Siemens MC60 Data Cable
.It Suunto USB Serial Adaptor
.It Helicomm IP-Link 1220-DVM
.It Nokia CA-42 USB
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for the Silicon Labs USB-to-RS-232 Bridge chip.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Pp
.Pa http://www.silabs.com .
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jonathan A. Kollasch .
Code and style was borrowed from existing
.Nx
USB-serial drivers.
Due to the unavailability of documentation, Craig Shelley's
reverse-engineered Linux driver was used as documentation.
.Sh CAVEATS
Hardware flow control may not work correctly.
.Pp
Settings other than 8 data bits, no parity, and 1 stop bit
seem to be refused by the chip.
